summaryrefslogtreecommitdiffstats
path: root/debian/tests/icudatfileTest.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 17:33:31 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 17:33:31 +0000
commita820a96849e295d4abc6238a01c650bf3663b774 (patch)
treebcebc68af266bfcc779f699ad3d5eeb05b067216 /debian/tests/icudatfileTest.sh
parentAdding upstream version 1:115.7.0. (diff)
downloadthunderbird-debian.tar.xz
thunderbird-debian.zip
Adding debian version 1:115.7.0-1~deb12u1.debian/1%115.7.0-1_deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/icudatfileTest.sh')
-rwxr-xr-xdebian/tests/icudatfileTest.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/tests/icudatfileTest.sh b/debian/tests/icudatfileTest.sh
new file mode 100755
index 0000000000..8e3ec99916
--- /dev/null
+++ b/debian/tests/icudatfileTest.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+TESTFILE=$(basename $0 .sh)
+ICUDATFILE=$(basename /usr/lib/thunderbird/icud*.dat)
+
+if [ -f "/usr/lib/thunderbird/${ICUDATFILE}" ]; then
+ echo "Running tests in ${TESTFILE}"
+
+ echo -n "Test1: Check if /usr/lib/thunderbird/${ICUDATFILE} is linked to /usr/share/thunderbird/${ICUDATFILE}..."
+ if [ "$(readlink -e "/usr/share/thunderbird/${ICUDATFILE}")" = "/usr/lib/thunderbird/${ICUDATFILE}" ]; then
+ echo "done"
+ else
+ echo "No!"
+ exit 1
+ fi
+else
+ echo "Nothing to be done here."
+fi
+
+echo "All Tests in ${TESTFILE} finished succesfully."